adblock install problem when upgrading to Seamonkey 1.0.4

RESOLVED INVALID

Status

SeaMonkey
Installer
--
major
RESOLVED INVALID
12 years ago
9 years ago

People

(Reporter: Mirek, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: H'n'C)

Attachments

(1 attachment)

(Reporter)

Description

12 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.6) Gecko/20060729 SeaMonkey/1.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.6) Gecko/20060729 SeaMonkey/1.0.4

Adblock does not install properly and corrupts user interface

Reproducible: Always

Steps to Reproduce:
1. Have SeaM 1.0.3 with Adblock (latst, Adblock 0.5 d3 nightly 42), adblock in root
2. Download and install SeaM 1.0.4
3. The Adblock will not re-install automatically, always says "pending" status (with error message of most likely locked file somewhere). Restart of SeaM or computer won't help.
4. Re-install the Adblock (just using the .xpi from adblock site)
5. Istallation ends with error message (-23) that Adblock is already installed
6. re-start Seamonkey, you will see corrupted interface (note the red arrow in the lower left corner). Looks like corrupted profile...don't panic
7. re-install adblock once again, now everything works perfectly

Actual Results:  
see above

Expected Results:  
see above

See the next post with screenshot showing the corrupted interface mentioned in item 6.
(Reporter)

Comment 1

12 years ago
Created attachment 231997 [details]
Corrupted interface of SeaMonkey

Screenshot of the corrupted interface (GUI) after second (unsuccesful) installation of Adblock 0.5 d3 nightly 42
(Reporter)

Comment 2

11 years ago
Same problems for each version 1.0.5-1.0.7 upgrade, however, the new 1.1 version did not suffered from this bug during upgrade.
Adblock is pretty much dead and does not support recent Gecko browsers anyway. Use Adblock Plus. And this would be an Adblock bug anyway.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INVALID

Updated

10 years ago
Whiteboard: H'n'C

Updated

9 years ago
Component: Installer: XPI Packages → Installer
QA Contact: general
You need to log in before you can comment on or make changes to this bug.